org.jgroups.conf

## Class PropertyConverters.FlushInvoker

- java.lang.Object
- - org.jgroups.conf.PropertyConverters.FlushInvoker

All Implemented Interfaces:
  PropertyConverter

Enclosing class:
  PropertyConverters

    public static class PropertyConverters.FlushInvoker
    extends java.lang.Object
    implements PropertyConverter

### Constructor Summary

Constructors
Constructor and Description
`PropertyConverters.FlushInvoker()`

### Method Summary

Methods
`java.lang.Object` `convert(java.lang.Object obj, java.lang.Class<?> propertyFieldType, java.lang.String propertyName, java.lang.String propertyValue, boolean check_scope)`
`java.lang.String` `toString(java.lang.Object value)` Converts the value to a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyConverters.FlushInvoker

    public PropertyConverters.FlushInvoker()

### Method Detail

#### convert

    public java.lang.Object convert(java.lang.Object obj,
                           java.lang.Class<?> propertyFieldType,
                           java.lang.String propertyName,
                           java.lang.String propertyValue,
                           boolean check_scope)
                             throws java.lang.Exception

Specified by:
  `convert` in interface `PropertyConverter`
Throws:
  `java.lang.Exception`

#### toString

    public java.lang.String toString(java.lang.Object value)

Description copied from interface: `PropertyConverter`
Converts the value to a string. The default is to simply invoke Object.toString(), however, some objects need to be printed specially, e.g. a long array etc.

Specified by:
  `toString` in interface `PropertyConverter`
Returns: